Public Class EasyReportToVB2008Print

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim myrep As New VBprinter.EasyReport()
        myrep.SetReportDataSource(d1)
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile(My.Application.Info.DirectoryPath & "\" & "普通报表.mb")
        myrep.EditReport() '进入EasyReport提供的报表修改界面
    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        Dim myrep As New VBprinter.EasyReport()
        myrep.IsUseAPIprintDialog = True
        myrep.SetReportDataSource(d1)
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile(My.Application.Info.DirectoryPath & "\" & "普通报表.mb")
        myrep.PrintReport(False, False, False, True) '进入报表打印预览
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        '将EasyReport组件创建的报表打印预览内容在指定的VB2008Print组件中打印预览
        Dim myrep As New VBprinter.EasyReport()
        myrep.SetReportDataSource(d1)
        '这里的参数只是一个演示，参数名称是没有限制的，您可以设置各种参数名，只要您在在报表中使用时也使用这个名字就可以了（即前后一致就行）
        myrep.SetReportVar("制表人", "游平")
        myrep.SetReportVar("联系邮箱", "myyouping@139.com")
        myrep.SetReportVar("联系QQ", "479781502")
        myrep.SetReportVar("单位", "中国航空动力机械研究所")
        myrep.SetReportFile(My.Application.Info.DirectoryPath & "\" & "普通报表.mb")

        Dim mys As String
        myrep.IsShowProgess = False '不显示进度条，可以减少窗口闪烁
        mys = myrep.GetReportString(False) '取报表组件打印预览内容的字符串表现形式

        p.OpenReportByString(mys, False) '将上面取得的字符串在VB2008Print组件中打印预览出来
      
        mys = Nothing
    End Sub

    Private Sub EasyReportToVB2008Print_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'TODO: 这行代码将数据加载到表“NorthwindDataSet.产品”中。您可以根据需要移动或移除它。
        Me.产品TableAdapter.Fill(Me.NorthwindDataSet.产品)
    End Sub

    Private Sub p_HeaderFooterOut(ByVal pages As System.Int32, ByVal curpage As System.Int32) Handles p.HeaderFooterOut
        p.PrintFooter("大跃进艱吉期国戟地", "dkkf", "dkkd", 6)
    End Sub
End Class